Last Comment Bug 722509 - notification about private message has localized URL
: notification about private message has localized URL
Status: VERIFIED FIXED
u=user c=private-messages s=2012.4 p=1
:
Product: support.mozilla.org
Classification: Other
Component: Knowledge Base Software (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: 2012-02-28
Assigned To: Tanay Gavankar [:tgavankar]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 14:51 PST by Kadir Topal [:atopal]
Modified: 2012-02-24 16:05 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kadir Topal [:atopal] 2012-01-30 14:51:30 PST
When Vito sends me a private message from his Slovenian version of SUMO, I get a URL like https://support.mozilla.org/sl/messages/read/2511 instead the URL should be free of the locale so SUMO can provide me with the correct language based on my accept-language.
Comment 1 Tanay Gavankar [:tgavankar] 2012-02-17 10:48:56 PST
Done in https://github.com/mozilla/kitsune/commit/88d480a.
Comment 2 Rebecca Billings [:rbillings] 2012-02-22 17:21:02 PST
I just sent a message from stage, and the url= https://support.allizom.org/en-US/messages/read/21
Comment 3 Rebecca Billings [:rbillings] 2012-02-22 17:26:16 PST
The email notification has this url: https://support.allizom.org/messages/read/21
I can view it with the link above. If this is the expected change resolve to fixed & I'll verify.
Comment 4 Ricky Rosario [:rrosario, :r1cky] 2012-02-23 06:58:44 PST
I am confused. The url in the email didn't have a locale but when you clicked it got redirected to en-US? If so that is how it should work. If not, reopen again :-)
Comment 5 Rebecca Billings [:rbillings] 2012-02-24 16:05:58 PST
That's what happened, marking as verified.

Note You need to log in before you can comment on or make changes to this bug.